diff -ur file-5.37/configure.ac patches/configure.ac
--- file-5.37/configure.ac	2017-05-23 19:42:43.000000000 +0200
+++ patches/configure.ac	2017-06-22 10:54:56.462986791 +0200
@@ -181,4 +181,16 @@
 fi
 
 AC_CONFIG_FILES([Makefile src/Makefile magic/Makefile tests/Makefile doc/Makefile python/Makefile])
+AC_ARG_WITH(rpltools,
+[  --with-rpltools         specify rpltools path used for cross compilation],[
+if test "$with_rpltools" = "no" -o "$with_rpltools" = yes; then
+       AC_MSG_ERROR([You have to specify rpltools path !])
+else
+       RPLTOOLS=$with_rpltools/tools/file-5.11/src/
+fi],[
+       RPLTOOLS=
+       ]
+)
+AC_SUBST(RPLTOOLS)
+
 AC_OUTPUT
diff -ur file-5.37/magic/Makefile.am patches/magic/Makefile.am
--- file-5.37/magic/Makefile.am	2017-05-08 20:10:13.000000000 +0200
+++ patches/magic/Makefile.am	2017-06-22 10:53:12.157786225 +0200
@@ -317,10 +317,10 @@
 # FIXME: Build file natively as well so that it can be used to compile
 # the target's magic file; for now we bail if the local version does not match
 if IS_CROSS_COMPILE
-FILE_COMPILE = file${EXEEXT}
+FILE_COMPILE = @RPLTOOLS@file${EXEEXT}
 FILE_COMPILE_DEP =
 else
-FILE_COMPILE = $(top_builddir)/src/file${EXEEXT}
+FILE_COMPILE = $(top_builddir)/src/@RPLTOOLS@file${EXEEXT}
 FILE_COMPILE_DEP = $(FILE_COMPILE)
 endif
 
